<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/src/timer.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">timer.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>MINI51 series TIMER driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for timer.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d56/timer_8c__incl.png" border="0" usemap="#a_std_driver_2src_2timer_8c" alt=""/></div>
<map name="a_std_driver_2src_2timer_8c" id="a_std_driver_2src_2timer_8c">
<area shape="rect" title="MINI51 series TIMER driver source file." alt="" coords="673,5,813,32"/>
<area shape="rect" href="../../de/d94/_mini51_series_8h.html" title="Mini51 series peripheral access layer header file. This file contains all the peripheral register&#39;s d..." alt="" coords="689,80,797,107"/>
<area shape="rect" title=" " alt="" coords="5,155,96,181"/>
<area shape="rect" href="../../dd/d6a/system___mini51_series_8h.html" title="Mini51 series system clock definition file." alt="" coords="121,155,279,181"/>
<area shape="rect" title=" " alt="" coords="303,155,369,181"/>
<area shape="rect" href="../../d9/d87/sys_8h.html" title="Mini51 series SYS driver header file." alt="" coords="393,155,447,181"/>
<area shape="rect" href="../../d3/d89/clk_8h.html" title="Mini51 series CLK driver header file." alt="" coords="472,155,523,181"/>
<area shape="rect" href="../../dc/d2f/acmp_8h.html" title="Mini51 series Analog Comparator(ACMP) driver header file." alt="" coords="547,155,613,181"/>
<area shape="rect" href="../../d7/d19/adc_8h.html" title="Mini51 series ADC driver header file." alt="" coords="637,155,691,181"/>
<area shape="rect" href="../../dc/d00/fmc_8h.html" title="MINI51 series FMC driver header file." alt="" coords="715,155,770,181"/>
<area shape="rect" href="../../d6/d7c/gpio_8h.html" title="Mini51 series GPIO driver header file." alt="" coords="794,155,851,181"/>
<area shape="rect" href="../../d5/daf/i2c_8h.html" title="Mini51 series I2C driver header file." alt="" coords="876,155,927,181"/>
<area shape="rect" href="../../d6/db9/pwm_8h.html" title="Mini51 series PWM driver header file." alt="" coords="951,155,1011,181"/>
<area shape="rect" href="../../da/d87/spi_8h.html" title="Mini51 series SPI driver header file." alt="" coords="1036,155,1087,181"/>
<area shape="rect" href="../../d5/dd0/timer_8h.html" title="Mini51 series TIMER driver header file." alt="" coords="1111,155,1174,181"/>
<area shape="rect" href="../../d2/d86/uart_8h.html" title="Mini51 series UART driver header file." alt="" coords="1198,155,1253,181"/>
<area shape="rect" href="../../d0/de2/wdt_8h.html" title="Mini51 series WDT driver header file." alt="" coords="1277,155,1331,181"/>
</map>
</div>
</div>
<p><a href="../../df/d41/timer_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga234d45c63fb6f5e977dbef2294089621"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq)</td></tr>
<tr class="memdesc:ga234d45c63fb6f5e977dbef2294089621"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work in target frequency, a closest frequency will be chose and returned.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">More...</a><br /></td></tr>
<tr class="separator:ga234d45c63fb6f5e977dbef2294089621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83113a85eb313523f4ec35ab585d8968"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga83113a85eb313523f4ec35ab585d8968"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API stops Timer counting and disable the Timer interrupt function.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">More...</a><br /></td></tr>
<tr class="separator:ga83113a85eb313523f4ec35ab585d8968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec)</td></tr>
<tr class="memdesc:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to create a delay loop for u32usec micro seconds.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">More...</a><br /></td></tr>
<tr class="separator:ga0dad1dbaf69f945c3d0d5aa91c4eef86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to enable timer capture function with specified mode and capture edge.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">More...</a><br /></td></tr>
<tr class="separator:ga80ba64bdc40d36cb4a2139f4651b1c42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer capture function.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">More...</a><br /></td></tr>
<tr class="separator:ga1de0e4c2c84476d6c39d40a3bcaac18a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge)</td></tr>
<tr class="memdesc:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is used to enable the Timer counter function with specify detection edge.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">More...</a><br /></td></tr>
<tr class="separator:ga72fc8741562dbff619aa7dfe8b73c0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to disable the Timer event counter function.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">More...</a><br /></td></tr>
<tr class="separator:ga4460ba2e5f3bdddafab005e1e1fda0da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a> (<a class="el" href="../../d9/d66/struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</td></tr>
<tr class="memdesc:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">This API is used to get the clock frequency of Timer.  <a href="../../d3/dd4/group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">More...</a><br /></td></tr>
<tr class="separator:ga56facc5683886f3ff3b273a3b5e47fcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >MINI51 series TIMER driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>11 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/01/28 10:29a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../df/d41/timer_8c_source.html">timer.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
